Subject: Re: [PATCH] git-svn: fix dcommit clobbering upstream when committing multiple changes

From: Eric Wong <[email-masked]>
Date: Sat, 1 Sep 2007 02:33:03 -0700

Karl Hasselström <[email-masked]> wrote:
> On 2007-08-31 18:16:12 -0700, Eric Wong wrote:
> 
> > Although dcommit could detect if the first commit in the series
> > would conflict with the HEAD revision in SVN, it could not detect
> > conflicts in further commits it made.
> >
> > Now we rebase each uncommitted change after each revision is
> > committed to SVN to ensure that we are up-to-date. git-rebase will
> > bail out on conflict errors if our next change cannot be applied and
> > committed to SVN cleanly, preventing accidental clobbering of
> > changes on the SVN-side.
> >
> > --no-rebase users will have trouble with this, and are thus warned
> > if they are committing more than one commit. Fixing this for
> > (hopefully uncommon) --no-rebase users would be more complex and
> > will probably happen at a later date.
> 
> Shouldn't it be a simple matter of checking if the total diff over the
> whole series would conflict with the SVN HEAD?

I don't think you can actually check for SVN conflicts until attempting
to do commit.

-- 
Eric Wong